## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface DeviceItem

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Implementing Classes:
  DeviceItemImpl

    public interface DeviceItem

extends SQLObject

A representation of the model object 'Device Item'.

The following features are supported:

- `Device Name`
- `Size`

See Also:
  `SybaseasesqlmodelPackage.getDeviceItem()`

Method Summary
`java.lang.String` `getDeviceName()` Returns the value of the 'Device Name' attribute.
`int` `getSize()` Returns the value of the 'Size' attribute.
`void` `setDeviceName(java.lang.String value)` Sets the value of the '`Device Name`' attribute.
`void` `setSize(int value)` Sets the value of the '`Size`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDeviceName

    java.lang.String getDeviceName()

  Returns the value of the 'Device Name' attribute.

  If the meaning of the 'Device Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Device Name' attribute.
  See Also:
    `setDeviceName(String)`, `SybaseasesqlmodelPackage.getDeviceItem_DeviceName()`

### setDeviceName

    void setDeviceName(java.lang.String value)

  Sets the value of the '`Device Name`' attribute.

  Parameters:
    `value` - the new value of the 'Device Name' attribute.
  See Also:
    `getDeviceName()`

### getSize

    int getSize()

  Returns the value of the 'Size' attribute. The default value is `"0"`.

  If the meaning of the 'Size' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Size' attribute.
  See Also:
    `setSize(int)`, `SybaseasesqlmodelPackage.getDeviceItem_Size()`

### setSize

    void setSize(int value)

  Sets the value of the '`Size`' attribute.

  Parameters:
    `value` - the new value of the 'Size' attribute.
  See Also:
    `getSize()`